package javax.xml.crypto;

import java.io.PrintWriter;
import java.io.PrintStream;

public class MarshalException extends Exception
{
    private static final long serialVersionUID = -863185580332643547L;
    private Throwable cause;
    
    public MarshalException() {
    }
    
    public MarshalException(String message) {
        super(message);
    }
    
    public MarshalException(String message, Throwable cause) {
        super(message);
        this.cause = cause;
    }
    
    public MarshalException(Throwable cause) {
        super((cause == null) ? null : cause.toString());
        this.cause = cause;
    }
    
    @Override
    public Throwable getCause() {
        return this.cause;
    }
    
    @Override
    public void printStackTrace() {
        super.printStackTrace();
    }
    
    @Override
    public void printStackTrace(PrintStream s) {
        super.printStackTrace(s);
    }
    
    @Override
    public void printStackTrace(PrintWriter s) {
        super.printStackTrace(s);
    }
}
